## python-os-api-ref 0.3.0+dfsg1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
PyYAML>=3.1.0

=== debian/changelog ===
python-os-api-ref (0.3.0+dfsg1-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 17 Nov 2016 19:27:53 +0000

python-os-api-ref (0.3.0+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable
  * d/copyright: Added more copyright holders of upstream code
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Sun, 17 Jul 2016 12:52:15 +0200

python-os-api-ref (0.3.0+dfsg1-1) experimental; urgency=medium

  * Initial release. (Closes: #826580)

 -- Ondřej Nový <onovy@debian.org>  Sat, 16 Jul 2016 16:23:16 +0200

=== debian/control ===
Source: python-os-api-ref
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ondřej Nový <onovy@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 51~),
               python-all,
               python3-all,
Build-Depends-Indep: python-bs4,
                     python-oslosphinx (>= 2.5.0),
                     python-pbr (>= 1.6),
                     python-setuptools,
                     python-sphinx,
                     python-sphinx-testing,
                     python-subunit (>= 0.0.18),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python-yaml,
                     python3-bs4,
                     python3-oslosphinx (>= 2.5.0),
                     python3-pbr (>= 1.6),
                     python3-setuptools,
                     python3-sphinx,
                     python3-sphinx-testing,
                     python3-subunit (>= 0.0.18),
                     python3-testrepository (>= 0.0.18),
                     python3-testtools (>= 1.4.0),
                     python3-yaml,
                     subunit,
Standards-Version: 3.9.8
Vcs-Git: https://git.openstack.org/openstack/deb-python-os-api-ref -b debian/newton
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-os-api-ref?h=debian%2Fnewton
Homepage: https://github.com/openstack/python-os-api-ref
Testsuite: autopkgtest-pkg-python

Package: python-os-api-ref
Architecture: all
Depends: python-docutils,
         python-os-api-ref-common,
         python-pbr (>= 1.6),
         python-sphinx,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: Sphinx Extensions to support API reference sites in OpenStack - Python 2.7
 This project is a collection of sphinx stanzas that assist in building an API
 Reference site for an OpenStack project in RST. RST is great for unstructured
 English, but displaying semi structured (and repetitive) data in tables is
 not it's strength. This provides tooling to insert semi-structured data
 describing request and response parameters, and turn those into nice tables.
 .
 The project also includes a set of styling (and javascript) that is expected
 to layer on top of an oslosphinx theme base. This provides a nice set of
 collapsing sections for REST methods and javascript controls to expand /
 collapse all sections.
 .
 This package contains the Python 2.7 module.

Package: python3-os-api-ref
Architecture: all
Depends: python-os-api-ref-common,
         python3-docutils,
         python3-pbr (>= 1.6),
         python3-sphinx,
         python3-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: Sphinx Extensions to support API reference sites in OpenStack - Python 3.x
 This project is a collection of sphinx stanzas that assist in building an API
 Reference site for an OpenStack project in RST. RST is great for unstructured
 English, but displaying semi structured (and repetitive) data in tables is
 not it's strength. This provides tooling to insert semi-structured data
 describing request and response parameters, and turn those into nice tables.
 .
 The project also includes a set of styling (and javascript) that is expected
 to layer on top of an oslosphinx theme base. This provides a nice set of
 collapsing sections for REST methods and javascript controls to expand /
 collapse all sections.
 .
 This package contains the Python 3.x module.

Package: python-os-api-ref-common
Architecture: all
Depends: libjs-bootstrap,
         ${misc:Depends},
Description: Sphinx Extensions to support API reference sites in OpenStack - common
 This project is a collection of sphinx stanzas that assist in building an API
 Reference site for an OpenStack project in RST. RST is great for unstructured
 English, but displaying semi structured (and repetitive) data in tables is
 not it's strength. This provides tooling to insert semi-structured data
 describing request and response parameters, and turn those into nice tables.
 .
 The project also includes a set of styling (and javascript) that is expected
 to layer on top of an oslosphinx theme base. This provides a nice set of
 collapsing sections for REST methods and javascript controls to expand /
 collapse all sections.
 .
 This package contains the common files.

## python-os-api-ref 1.2.0

=== requirements.txt ===
--- 
+++ 
@@ -2,5 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.6
-PyYAML>=3.1.0
+pbr>=1.8 # Apache-2.0
+PyYAML>=3.10.0 # MIT
+sphinx!=1.3b1,<1.4,>=1.2.1 # BSD
+openstackdocstheme>=1.5.0 # Apache-2.0

=== debian/changelog ===
python-os-api-ref (1.2.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Jan 2017 18:56:41 +0000

python-os-api-ref (1.2.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release. 
  * debian/watch: Point to tarballs.
  * debian/patches/fix-python35.patch: Fix python3 building.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 13:36:58 -0500

python-os-api-ref (0.3.0+dfsg1-3) unstable; urgency=medium

  * Bumped debhelper version to 10
  * Add compatibility with docutils 0.13
    (Closes: #848647, thanks to Dmitry Shachnev)

 -- Ondřej Nový <onovy@debian.org>  Mon, 19 Dec 2016 10:55:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-os-api-ref
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper (>= 10),
@@ -11,18 +12,23 @@
                python3-all,
 Build-Depends-Indep: python-bs4,
                      python-oslosphinx (>= 2.5.0),
+                     python-openstackdocstheme,
                      python-pbr (>= 1.6),
                      python-setuptools,
+                     python-six,
                      python-sphinx,
                      python-sphinx-testing,
                      python-subunit (>= 0.0.18),
                      python-testrepository (>= 0.0.18),
                      python-testtools (>= 1.4.0),
                      python-yaml,
+                     python3-httplib2,
                      python3-bs4,
+                     python3-openstackdocstheme,
                      python3-oslosphinx (>= 2.5.0),
                      python3-pbr (>= 1.6),
                      python3-setuptools,
+                     python3-six,
                      python3-sphinx,
                      python3-sphinx-testing,
                      python3-subunit (>= 0.0.18),
@@ -31,8 +37,8 @@
                      python3-yaml,
                      subunit,
 Standards-Version: 3.9.8
-Vcs-Git: https://git.openstack.org/openstack/deb-python-os-api-ref -b debian/newton
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-os-api-ref?h=debian%2Fnewton
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-api-ref
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-api-ref
 Homepage: https://github.com/openstack/python-os-api-ref
 Testsuite: autopkgtest-pkg-python
 
@@ -42,6 +48,7 @@
          python-os-api-ref-common,
          python-pbr (>= 1.6),
          python-sphinx,
+         python-six,
          python-yaml,
          ${misc:Depends},
          ${python:Depends},
@@ -64,6 +71,7 @@
 Depends: python-os-api-ref-common,
          python3-docutils,
          python3-pbr (>= 1.6),
+         python3-six,
          python3-sphinx,
          python3-yaml,
          ${misc:Depends},

## python-os-api-ref 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.10.0 # MIT
six>=1.9.0 # MIT
sphinx!=1.6.1,>=1.5.1 # BSD
openstackdocstheme>=1.5.0 # Apache-2.0

=== debian/changelog ===
python-os-api-ref (1.4.0-1ubuntu3) bionic; urgency=medium

  * d/p/update-tests-for-cloud-archive.patch: Revert upstream commit
    32101d84c12b2fcc35d5739aecb33609e997b214 when running tests on 16.04
    to enable successful test execution on backport to xenial cloud archive.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Nov 2017 16:46:52 -0500

python-os-api-ref (1.4.0-1ubuntu2) bionic; urgency=medium

  * Backport upstream change to remove deprecated sphinx.util.compat usage,
    should fix the autopkgtest.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 31 Oct 2017 17:35:24 +0300

python-os-api-ref (1.4.0-1ubuntu1) bionic; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/gbp.conf: Retain git-buildpackage config, including use of pristine-tar.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Oct 2017 10:26:43 -0400

python-os-api-ref (1.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * d/p/Update_tests_for_more_recent_sphinx.patch: Removed, applied upstream
  * d/p/docutils_0.13.patch: Removed, applied upstream
  * d/p/move_assets.patch: Rebased and fixed for new upstream release
  * Changed B-D and D for new upstream release
  * Fixed dependencies for Python 3 package version (Closes: #867445)

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Build-depends on sphinx-testing >= 0.7.2.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Oct 2017 10:20:32 +0000

python-os-api-ref (0.3.0+dfsg1-4) unstable; urgency=medium

  * Update tests for more recent sphinx, fix FTBFS (Closes: #866557)
  * Standards-Version is 4.0.0.4 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Fri, 14 Jul 2017 09:36:42 +0200

=== debian/control ===
Source: python-os-api-ref
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 51~),
 python-all,
 python3-all,
Build-Depends-Indep:
 python-bs4,
 python-openstackdocstheme,
 python-oslosphinx (>= 2.5.0),
 python-pbr (>> 2.1.0),
 python-setuptools,
 python-six (>= 1.9.0),
 python-sphinx (>> 1.6.1),
 python-sphinx-testing (>= 0.7.2),
 python-subunit (>= 0.0.18),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 1.4.0),
 python-yaml (>= 3.10.0),
 python3-bs4,
 python3-openstackdocstheme,
 python3-oslosphinx (>= 2.5.0),
 python3-pbr (>> 2.1.0),
 python3-setuptools,
 python3-six (>= 1.9.0),
 python3-sphinx (>> 1.6.1),
 python3-sphinx-testing (>= 0.7.2),
 python3-subunit (>= 0.0.18),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 1.4.0),
 python3-yaml (>= 3.10.0),
 subunit,
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-os-api-ref.git
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-os-api-ref.git
Homepage: https://github.com/openstack/python-os-api-ref
Testsuite: autopkgtest-pkg-python

Package: python-os-api-ref
Architecture: all
Depends:
 python-docutils,
 python-openstackdocstheme,
 python-os-api-ref-common,
 python-pbr (>> 2.1.0),
 python-six (>= 1.9.0),
 python-sphinx (>> 1.6.1),
 python-yaml (>= 3.10.0),
 ${misc:Depends},
 ${python:Depends},
Description: Sphinx Extensions to support API reference sites in OpenStack - Python 2.7
 This project is a collection of sphinx stanzas that assist in building an API
 Reference site for an OpenStack project in RST. RST is great for unstructured
 English, but displaying semi structured (and repetitive) data in tables is
 not it's strength. This provides tooling to insert semi-structured data
 describing request and response parameters, and turn those into nice tables.
 .
 The project also includes a set of styling (and javascript) that is expected
 to layer on top of an oslosphinx theme base. This provides a nice set of
 collapsing sections for REST methods and javascript controls to expand /
 collapse all sections.
 .
 This package contains the Python 2.7 module.

Package: python-os-api-ref-common
Architecture: all
Depends:
 libjs-bootstrap,
 ${misc:Depends},
Description: Sphinx Extensions to support API reference sites in OpenStack - common
 This project is a collection of sphinx stanzas that assist in building an API
 Reference site for an OpenStack project in RST. RST is great for unstructured
 English, but displaying semi structured (and repetitive) data in tables is
 not it's strength. This provides tooling to insert semi-structured data
 describing request and response parameters, and turn those into nice tables.
 .
 The project also includes a set of styling (and javascript) that is expected
 to layer on top of an oslosphinx theme base. This provides a nice set of
 collapsing sections for REST methods and javascript controls to expand /
 collapse all sections.
 .
 This package contains the common files.

Package: python3-os-api-ref
Architecture: all
Depends:
 python-os-api-ref-common,
 python3-docutils,
 python3-openstackdocstheme,
 python3-pbr (>> 2.1.0),
 python3-six (>= 1.9.0),
 python3-sphinx (>> 1.6.1),
 python3-yaml (>= 3.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Sphinx Extensions to support API reference sites in OpenStack - Python 3.x
 This project is a collection of sphinx stanzas that assist in building an API
 Reference site for an OpenStack project in RST. RST is great for unstructured
 English, but displaying semi structured (and repetitive) data in tables is
 not it's strength. This provides tooling to insert semi-structured data
 describing request and response parameters, and turn those into nice tables.
 .
 The project also includes a set of styling (and javascript) that is expected
 to layer on top of an oslosphinx theme base. This provides a nice set of
 collapsing sections for REST methods and javascript controls to expand /
 collapse all sections.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/os-api-ref.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,python3

override_dh_auto_test:
	pkgos-dh_auto_test

override_dh_auto_install:
	pkgos-dh_auto_install

## python-os-api-ref 1.5.0%2Bdfsg1

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-PyYAML>=3.10.0 # MIT
-six>=1.9.0 # MIT
-sphinx!=1.6.1,>=1.5.1 # BSD
-openstackdocstheme>=1.5.0 # Apache-2.0
+PyYAML>=3.10 # MIT
+six>=1.10.0 # MIT
+sphinx!=1.6.6,>=1.6.2 # BSD
+openstackdocstheme>=1.17.0 # Apache-2.0

## python-os-api-ref 1.5.0+dfsg1

=== debian/changelog ===
python-os-api-ref (1.5.0+dfsg1-4) unstable; urgency=medium

  * d/p/Fix-microversion-test-Handle-different-HTML-renderings.patch:
    Add, fix FTBFS (Closes: #922217)
  * Bump standards version to 4.3.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Tue, 26 Feb 2019 14:59:35 +0100

python-os-api-ref (1.5.0+dfsg1-3) unstable; urgency=medium

  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Fix Homepage
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Add upstream metadata
  * Standards version is 4.2.1 now (no changes)

 -- Ondřej Nový <onovy@debian.org>  Sun, 30 Sep 2018 16:16:54 +0200

python-os-api-ref (1.5.0+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable
  * d/copyright: Bump my copyright year

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Feb 2018 10:32:36 +0100

python-os-api-ref (1.5.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * d/control: Set Vcs-* to salsa.debian.org
  * Changed B-D for new upstream release
  * d/source/options: Don't ignore .gitreview
  * Bump debhelper compat level to 11
  * d/copyright: Don't exclude os_api_ref/assets/bootstrap.* (not in upstream
    anymore)
  * Updating standards version to 4.1.3 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Fri, 16 Feb 2018 16:27:36 +0100

python-os-api-ref (1.4.0-2) unstable; urgency=medium

  * Uploading to unstable
  * Fix UnicodeDecodeError (Closes: #880182)
  * Updating standards version to 4.1.1.

 -- Ondřej Nový <onovy@debian.org>  Tue, 31 Oct 2017 22:16:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: python-os-api-ref
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11~),
  dh-python,
  openstack-pkg-tools (>= 51~),
  python-all,
@@ -21,9 +20,9 @@
  python-six (>= 1.9.0),
  python-sphinx (>> 1.6.1),
  python-sphinx-testing (>= 0.7.2),
- python-subunit (>= 0.0.18),
+ python-subunit (>= 1.0.0),
  python-testrepository (>= 0.0.18),
- python-testtools (>= 1.4.0),
+ python-testtools (>= 2.2.0),
  python-yaml (>= 3.10.0),
  python3-bs4,
  python3-openstackdocstheme,
@@ -33,15 +32,15 @@
  python3-six (>= 1.9.0),
  python3-sphinx (>> 1.6.1),
  python3-sphinx-testing (>= 0.7.2),
- python3-subunit (>= 0.0.18),
+ python3-subunit (>= 1.0.0),
  python3-testrepository (>= 0.0.18),
- python3-testtools (>= 1.4.0),
+ python3-testtools (>= 2.2.0),
  python3-yaml (>= 3.10.0),
  subunit,
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-os-api-ref.git
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-os-api-ref.git
-Homepage: https://github.com/openstack/python-os-api-ref
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-api-ref.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-api-ref
+Homepage: https://github.com/openstack/os-api-ref
 Testsuite: autopkgtest-pkg-python
 
 Package: python-os-api-ref

## python-os-api-ref 1.6.2+dfsg1

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT
 six>=1.10.0 # MIT
-sphinx!=1.6.6,>=1.6.2 # BSD
-openstackdocstheme>=1.17.0 # Apache-2.0
+sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+openstackdocstheme>=1.18.1 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
python-os-api-ref (1.6.2+dfsg1-1) unstable; urgency=medium

  * Uploading to unstable
  * New upstream release
  * Drop, applied upstream:
    - d/patches/FTBS_UnicodeDecodeError.patch
    - d/patches/Fix-microversion-test-Handle-different-HTML-renderings.patch
  * Rebased:
    - d/patches/move_assets.patch
  * Fix B-D and B versioned dependencies for new upstream release
  * Don't use autopkgtest-pkg-python testsuite, because it can't correctly
    detect name of Python module
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * d/rules: Remove trailing empty line and the end of file

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 19:55:32 +0200

python-os-api-ref (1.5.0+dfsg1-5) experimental; urgency=medium

  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 22:49:46 +0100

=== debian/control ===
Source: python-os-api-ref
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
Build-Depends-Indep:
 python3-bs4,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslosphinx (>= 2.5.0),
 python3-pbr (>> 2.1.0),
 python3-setuptools,
 python3-six (>= 1.9.0),
 python3-sphinx (>= 1.6.2),
 python3-sphinx-testing (>= 0.7.2),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.12),
 subunit,
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-api-ref.git
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-api-ref
Homepage: https://github.com/openstack/os-api-ref

Package: python-os-api-ref-common
Architecture: all
Depends:
 libjs-bootstrap,
 ${misc:Depends},
Description: Sphinx Extensions to support API reference sites in OpenStack - common
 This project is a collection of sphinx stanzas that assist in building an API
 Reference site for an OpenStack project in RST. RST is great for unstructured
 English, but displaying semi structured (and repetitive) data in tables is
 not it's strength. This provides tooling to insert semi-structured data
 describing request and response parameters, and turn those into nice tables.
 .
 The project also includes a set of styling (and javascript) that is expected
 to layer on top of an oslosphinx theme base. This provides a nice set of
 collapsing sections for REST methods and javascript controls to expand /
 collapse all sections.
 .
 This package contains the common files.

Package: python3-os-api-ref
Architecture: all
Depends:
 python-os-api-ref-common,
 python3-docutils,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslosphinx (>= 2.5.0),
 python3-pbr,
 python3-six,
 python3-sphinx (>= 1.6.2),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: Sphinx Extensions to support API reference sites in OpenStack - Python 3.x
 This project is a collection of sphinx stanzas that assist in building an API
 Reference site for an OpenStack project in RST. RST is great for unstructured
 English, but displaying semi structured (and repetitive) data in tables is
 not it's strength. This provides tooling to insert semi-structured data
 describing request and response parameters, and turn those into nice tables.
 .
 The project also includes a set of styling (and javascript) that is expected
 to layer on top of an oslosphinx theme base. This provides a nice set of
 collapsing sections for REST methods and javascript controls to expand /
 collapse all sections.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/os-api-ref.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
	pkgos-dh_auto_test --no-py2

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import os_api_ref; print os_api_ref" ; done
Depends: python3-all, python3-os-api-ref
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-os-api-ref-$1\.tar\.gz/ \
https://github.com/openstack/os-api-ref/tags .*/v?(\d\S*)\.tar\.gz

## python-os-api-ref 2.0.1

=== debian/changelog ===
python-os-api-ref (2.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:26:25 -0400

python-os-api-ref (2.0.0-0ubuntu1) focal; urgency=medium

  * d/watch: Get tarball from pypi.debian.net.
  * New upstream release for OpenStack Ussuri.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 13:29:01 -0400

python-os-api-ref (1.6.2+dfsg1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/update-tests-for-cloud-archive.patch: Dropped. No longer needed
    as train cloud archive is on bionic.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 15:10:50 -0400

python-os-api-ref (1.6.1+dfsg1-0ubuntu2) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Sep 2019 14:04:45 -0700

python-os-api-ref (1.6.1+dfsg1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/p/*: Refresh.
  * d/p/fix_deprecation_warning.patch: Drop, upstream.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 20 Jun 2019 05:40:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: python-os-api-ref
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 10),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 51~),
  python3-all,
 Build-Depends-Indep:
- python3-bs4,
+ python3-bs4 (>= 4.6.0),
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 1.1.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-oslosphinx (>= 2.5.0),
  python3-pbr (>> 2.1.0),
  python3-setuptools,
- python3-six (>= 1.9.0),
+ python3-six (>= 1.10.0),
  python3-sphinx (>= 1.6.2),
  python3-sphinx-testing (>= 0.7.2),
  python3-stestr (>= 2.0.0),
@@ -25,10 +28,11 @@
  python3-testtools (>= 2.2.0),
  python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.4.0
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-api-ref.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-api-ref
-Homepage: https://github.com/openstack/os-api-ref
+Standards-Version: 4.1.0
+Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-os-api-ref.git
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-os-api-ref.git
+Homepage: https://github.com/openstack/python-os-api-ref
+Testsuite: autopkgtest-pkg-python
 
 Package: python-os-api-ref-common
 Architecture: all
@@ -55,9 +59,8 @@
  python-os-api-ref-common,
  python3-docutils,
  python3-openstackdocstheme (>= 1.18.1),
- python3-oslosphinx (>= 2.5.0),
- python3-pbr,
- python3-six,
+ python3-pbr (>= 2.0.0),
+ python3-six (>= 1.10.0),
  python3-sphinx (>= 1.6.2),
  python3-yaml (>= 3.12),
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-os-api-ref

UPSTREAM_GIT = https://github.com/openstack/os-api-ref.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3 --buildsystem=pybuild

override_dh_auto_test:
	pkgos-dh_auto_test --no-py2

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

## python-os-api-ref 2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -5,5 +5,5 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 PyYAML>=3.12 # MIT
 six>=1.10.0 # MIT
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
-openstackdocstheme>=1.18.1 # Apache-2.0
+sphinx>=2.0.0,!=2.1.0 # BSD
+openstackdocstheme>=2.2.1 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-os-api-ref (2.1.0-0ubuntu2~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Jul 2020 01:05:12 +0000

python-os-api-ref (2.1.0-0ubuntu2) groovy; urgency=medium

  * d/control: Bump min version of python3-sphinx-testing BD as 1.0.1 is
    required for successful test execution.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jul 2020 15:56:36 -0400

python-os-api-ref (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 13:20:28 +0000

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,13 @@
  python3-bs4 (>= 4.6.0),
  python3-coverage (>= 4.0),
  python3-hacking (>= 1.1.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-oslosphinx (>= 2.5.0),
  python3-pbr (>> 2.1.0),
  python3-setuptools,
  python3-six (>= 1.10.0),
- python3-sphinx (>= 1.6.2),
- python3-sphinx-testing (>= 0.7.2),
+ python3-sphinx (>= 2.0.0),
+ python3-sphinx-testing (>= 1.0.1),
  python3-stestr (>= 2.0.0),
  python3-subunit (>= 1.0.0),
  python3-testrepository (>= 0.0.18),
@@ -58,10 +58,10 @@
 Depends:
  python-os-api-ref-common,
  python3-docutils,
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-pbr (>= 2.0.0),
  python3-six (>= 1.10.0),
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
  python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},

## python-os-api-ref 2.1.0+ds1

=== debian/changelog ===
python-os-api-ref (2.1.0+ds1-4~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Tue, 26 Oct 2021 09:36:39 +0000

python-os-api-ref (2.1.0+ds1-4) unstable; urgency=medium

  * Refreshed switch-to-add_css_file.patch.
  * Add remove-broken-test-with-sphinx-4.2.patch (Closes: #997528).

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Oct 2021 11:35:07 +0200

python-os-api-ref (2.1.0+ds1-3) unstable; urgency=medium

  * Add switch-to-add_css_file.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 00:16:11 +0200

python-os-api-ref (2.1.0+ds1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 15:38:47 +0200

python-os-api-ref (2.1.0+ds1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * d/copyright: Bump my copyright year.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 10:10:46 +0100

## python-os-api-ref 2.2.0

=== debian/changelog ===
python-os-api-ref (2.2.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 09 Jun 2021 14:02:47 +0000

python-os-api-ref (2.2.0-0ubuntu1) impish; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 09 Jun 2021 07:39:13 +0000

## python-os-api-ref 2.3.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=4.0.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-os-api-ref (2.3.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:19:39 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 13),
  dh-python,
  openstack-pkg-tools (>= 51~),
  python3-all,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/os-api-ref/os-api-ref-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-os-api-ref 2.3.0+ds1

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,5 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 PyYAML>=3.12 # MIT
-six>=1.10.0 # MIT
-sphinx>=2.0.0,!=2.1.0 # BSD
+sphinx>=4.0.0 # BSD
 openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-os-api-ref (2.3.0+ds1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Thomas Goirand ]
  * Switch to bootstrap5 (Closes: #1088507).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 12:11:04 +0100

python-os-api-ref (2.3.0+ds1-3) unstable; urgency=medium

  * Add python 3.12 patches (Closes: #1058439):
    - py3.12-use-assertRegex-not-assertRegexpMatches.patch
  * Blacklist broken test in py 3.12: TestWarnings.test_missing_field.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Dec 2023 15:21:10 +0100

python-os-api-ref (2.3.0+ds1-2) unstable; urgency=medium

  * Cleans better (Closes: #1046612).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 10:02:17 +0200

python-os-api-ref (2.3.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Blacklist failing tests (Closes: #1030416):
    - TestBasicExample.test_parameters
    - TestBasicExample.test_rest_response
  * Removed switch-to-add_css_file.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Feb 2023 09:30:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,38 @@
 Source: python-os-api-ref
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper (>= 13),
+ debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 51~),
+ openstack-pkg-tools,
  python3-all,
 Build-Depends-Indep:
- python3-bs4 (>= 4.6.0),
- python3-coverage (>= 4.0),
- python3-hacking (>= 1.1.0),
- python3-openstackdocstheme (>= 2.2.1),
+ python3-bs4,
+ python3-openstackdocstheme (>= 1.18.1),
  python3-oslosphinx (>= 2.5.0),
  python3-pbr (>> 2.1.0),
  python3-setuptools,
- python3-six (>= 1.10.0),
- python3-sphinx (>= 2.0.0),
- python3-sphinx-testing (>= 1.0.1),
+ python3-six (>= 1.9.0),
+ python3-sphinx (>= 1.6.2),
+ python3-sphinx-testing (>= 0.7.2),
  python3-stestr (>= 2.0.0),
  python3-subunit (>= 1.0.0),
  python3-testrepository (>= 0.0.18),
  python3-testtools (>= 2.2.0),
  python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-os-api-ref.git
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-os-api-ref.git
-Homepage: https://github.com/openstack/python-os-api-ref
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-api-ref.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-api-ref
+Homepage: https://github.com/openstack/os-api-ref
 
 Package: python-os-api-ref-common
 Architecture: all
 Depends:
- libjs-bootstrap,
+ libjs-bootstrap5,
  ${misc:Depends},
 Description: Sphinx Extensions to support API reference sites in OpenStack - common
  This project is a collection of sphinx stanzas that assist in building an API
@@ -58,10 +53,11 @@
 Depends:
  python-os-api-ref-common,
  python3-docutils,
- python3-openstackdocstheme (>= 2.2.1),
- python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
- python3-sphinx (>= 2.0.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-oslosphinx (>= 2.5.0),
+ python3-pbr,
+ python3-six,
+ python3-sphinx (>= 1.6.2),
  python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/os-api-ref.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
	pkgos-dh_auto_test --no-py2 'os_api_ref\.tests\.(?!test_basic_example\.TestBasicExample\.test_parameters|.*test_basic_example\.TestBasicExample\.test_rest_response|test_warnings\.TestWarnings\.test_missing_field)'

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import os_api_ref; print os_api_ref" ; done
Depends:
 python3-all,
 python3-os-api-ref,
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

## python-os-api-ref 3.0.0+ds1

=== debian/changelog ===
python-os-api-ref (3.0.0+ds1-1~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Thu, 27 Nov 2025 07:52:46 +0000

python-os-api-ref (3.0.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Removed build-depends on python3-sphinx-testing (Closes: #1077921).
  * Rebased / refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Jan 2025 09:32:43 +0100

## python-os-api-ref 3.1.0+ds1

=== debian/changelog ===
python-os-api-ref (3.1.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Rebased move_assets.patch.
  * Removed python3-sphinx-testing (Closes: #1077921).
  * Removed patches:
    - remove-broken-test-with-sphinx-4.2.patch
    - py3.12-use-assertRegex-not-assertRegexpMatches.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Nov 2025 08:22:45 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-setuptools,
  python3-six (>= 1.9.0),
  python3-sphinx (>= 1.6.2),
- python3-sphinx-testing (>= 0.7.2),
  python3-stestr (>= 2.0.0),
  python3-subunit (>= 1.0.0),
  python3-testrepository (>= 0.0.18),
